/**
 * ==============================================
 *  DQL Adapter for SimQPN
 * ==============================================
 *
 * (c) Copyright 2014-2016, by Simon Eismann, Juergen Walter and other contributors.
 *
 * All rights reserved. This software is made available under the terms of the
 * Eclipse Public License (EPL) v1.0 as published by the Eclipse Foundation
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * This software is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the Eclipse Public License (EPL)
 * for more details.
 *
 * You should have received a copy of the Eclipse Public License (EPL)
 * along with this software; if not visit http://www.eclipse.org or write to
 * Eclipse Foundation, Inc., 308 SW First Avenue, Suite 110, Portland, 97204 USA
 * Email: license (at) eclipse.org
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 */
package tools.descartes.dql.connector.simqpn.setup;


import tools.descartes.dql.connector.ConnectorProvider;
import tools.descartes.dql.connector.ModelStructureQueryConnector;
import tools.descartes.dql.connector.PerformanceIssueQueryConnector;
import tools.descartes.dql.connector.PerformanceMetricsQueryConnector;
import tools.descartes.dql.connector.simqpn.ModelStructureQueryConnectorImpl;
import tools.descartes.dql.connector.simqpn.PerformanceMetricsQueryConnectorImpl;

public class ConnectorProviderImpl implements ConnectorProvider {

	@Override
	public ModelStructureQueryConnector createModelStructureQueryConnectorInstance() {
		return new ModelStructureQueryConnectorImpl();
	}

	@Override
	public PerformanceIssueQueryConnector createPerformanceIssueQueryConnectorInstance() {
		return null;
	}

	@Override
	public PerformanceMetricsQueryConnector createPerformanceMetricsQueryConnectorInstance() {
		return new PerformanceMetricsQueryConnectorImpl();
	}
}
